<template>
  <div class="card overflow-hidden">
    <span
      v-for="(category, index) in categories"
      :key="category.id"
      class="categoryColor"
      :style="{
        backgroundColor: category.color,
        height: (100 / categories.length) + '%',
        top: (100 / categories.length) * index + '%'
      }"
    ></span>
    <b-btn v-b-toggle="'collapse'+id" variant="link" class="text-left btn-block px-3">
      <span class="display-2">{{ title }}</span>
    </b-btn>
    <b-collapse :id="'collapse'+id" v-model="visible" class="pt-0 p-3">
      {{ content }}
    </b-collapse>
  </div>
</template>


<style lang="scss">
.categoryColor {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 5px;
}
</style>

<script>
export default {
  props: {
    id: {
      type: String,
      default: Math.floor(Math.random() * Math.floor(1000)).toString(),
    },
    title: {
      type: String,
      default: '',
    },
    content: {
      type: String,
      default: '',
    },
    categories: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      visible: false,
    };
  },
};
</script>
